new;

output file = ccf18.out reset;

rndseed 123;

let mu = 10 12 2;
let SIGMA[3,3] =  2.2   0.5   0.0
                  0.5   1.2  -0.6
                  0.0  -0.6   1.8;

P = chol(SIGMA)';

print "P = " P;
print "P*P' = " P*P';

u = mu + P*rndn(3,1);     /* Simulation d'un vecteur aleatoire N(mu,SIGMA) */

print "u = " u;

u = mu + P*rndn(3,1000);  /* Simulation de 1000 vecteurs aleatoires */

@
  Attention, u est de dimension 3*1000. Il faut transposer
  cette matrice pour que les colonnes correspondent aux series
@

u = u';

moy = meanc(u);
COV = vcx(u);

print "Moyenne empirique = " moy;
print "Matrice de covariance empirique = " COV;

output off;
