new;
library pgraph;

t = seqa(0,2*pi/100,100);
x1 = sin(t);
x2 = cos(t);

graphset;
    begwind;
    window(1,2,0);

      fonts("simplex simgrma");
      _pdate = "";
      _pnum = 2;
      xtics(0,2*pi,pi/2,4);
      ytics(-1,1,0.5,5);
      labelX = "0 \202p\201/2 \202p \2013\202p\201/2 2\202p";
      asclabel(labelX,0);

      _paxht = 0.25;
      _ptitlht = 0.30;
      _pnumht = 0.35;

    setwind(1);

      title("La fonction sinus");
      xlabel("t");
      ylabel("sin(t)");
      xy(t,x1);

    setwind(2);

      title("La fonction cosinus");
      xlabel("t");
      ylabel("cos(t)");
      xy(t,x2);

      graphprt("-c=1 -cf=ccf39.eps -w=5");

   endwind;


