new;
library ccf,pgraph;

rndseed 123456789;

Ns = 500;
X = rndb(50,0.5,Ns,1);

Xbar = cumsumc(X)./seqa(1,1,Ns);
m = 50*0.5;

output file = ccf24.out reset;

print "Avant";
print "=====";

print "_ptitle : " _ptitle;
print "_pdate : " _pdate;
print "_pxlabel : " _pxlabel;
print "_pline : " _pline;

graphset;
  _pdate = "";
  _pnum = 2;
  title("Illustration de la loi des grands nombres");
  _pline = 1~1~0~m~Ns~m~1~5~0;
  xlabel("Nombre de simulations");
  graphprt("-c=1 -cf=ccf24.eps -w=5");
  xy(seqa(1,1,Ns),Xbar);


print;
print "Apres";
print "=====";

print "_ptitle : " _ptitle;
print "_pdate : " _pdate;
print "_pxlabel : " _pxlabel;
print "_pline : " _pline;


output off;
