new;

output file = ccf15.out reset;

rndseed 123456;

u = rndn(1000,10);

/*
**  Simulation d'une marche aleatoire
**
**  y(t) = y(t-1) + u(t)
**  y(t0) = 10;
**  u(t) = N(0,1)
*/

y = recserar(u,10*ones(1,10),ones(1,10));  /* 10 series de 1000 observations */

x = recserar(rndn(1000,1),10,1);           /* 1 serie de 1000 observations   */

yc = y - meanc(y)';
xc = x - meanc(x);

xy = xc .* yc;

covXY = meanc(xy);

sigmaX = sqrt( meanc( xc .* xc ) );
sigmaY = sqrt(
               meanc(yc.*yc)
             );

corrXY = covXY./(sigmaX.*sigmaY);

print corrXY;

output off;




