new;
library pgraph;

/*
**  Simulation de plusieurs composantes ARCH
**
*/

alpha0 = 1.5;
alpha1 = 0.20;
beta1 = 0.50;

@ Vous pouvez essayez :

alpha0 = 1.5~3;
alpha1 = 0.20~0.50;
beta1 = 0.50~0.20;

K = 2;

@

Nobs = 100;     /* Nombre d'observations */
K = 3;          /* Nombre de series      */

u = zeros(Nobs,K);
h2 = u;

h2t = alpha0.*ones(1,K);

t = 1;
do until t > Nobs;

  h2[t,.] = h2t;
  ut = rndn(1,K).*sqrt(h2t);
  u[t,.] = ut;
  h2t = alpha0 + alpha1.*(ut^2) + beta1.*h2t;

  t = t + 1;
endo;

graphset;
  _pdate = ""; _pnum = 2;
  title("composante ARCH");
  xy(seqa(1,1,Nobs),u);

  title("variance conditionnelle");
  xy(seqa(1,1,Nobs),h2);







