new;
library pgraph;

t = seqa(1,4*pi/101,101);
x = cos(t);
y = sin(t);
z = (x'^2) .* y;

n = rndn(1000,1);

graphset;
   begwind;
   makewind(9/2,6.855/2,0,0,0);
   makewind(9/2,6.855-1,9/2,1,0);
   makewind(9/2,6.855/2,0,6.855/2,0);
   makewind(9/2,6.855/2,0,6.855/2,1);
   makewind(3,3,3.5,0.25,1);

   _pdate="";

   setwind(1);

     fonts("simplex simgrma");
     title("fonction parametrique"\
           "\Lx = cos(\202t\201),"\
           " y = sin(\202t\201),"\
           " z = cos(\202t\201)[2] * sin(\202t\201)"\
           "\L\202t!@[\2010,4\202p@]");
     _paxes = 0; _pframe = 0; _psurf = {0,0}; _pzclr = {1,9,4}; _ptitlht = 0.25;
     volume(3,2,1);
     surface(x',y,z);

   setwind(2);
     graphset;
     title("histogramme");
     _ptitlht = 0.20; _pnumht = 0.20; _paxht = 0.20;
     _pnum = 2;
     call hist(n,100);

   setwind(3);
     title("Graphe XY");
     xtics(-2,2,1,10);
     ytics(-2,2,1,10);
     xy(x,y);

   setwind(4);
     xy(2*x,2*y);

   setwind(5);
     _ptitlht = 0.50;
     _pnum = 0; _paxes = 0;
     xy(2*x,2*y);

   graphprt("-c=1 -cf=ccf40.eps -w=5");

   endwind;


